From 98dbbbb5ee127459df82e13be8ab17a47a66d4b0 Mon Sep 17 00:00:00 2001
From: jcoleman <jtc331@gmail.com>
Date: Tue, 31 Mar 2020 17:17:43 +0000
Subject: [PATCH v48 6/7] enum bitmask style

---
 src/include/utils/tuplesort.h | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

diff --git a/src/include/utils/tuplesort.h b/src/include/utils/tuplesort.h
index 96e970339c..8d00a9e501 100644
--- a/src/include/utils/tuplesort.h
+++ b/src/include/utils/tuplesort.h
@@ -67,11 +67,11 @@ typedef struct SortCoordinateData *SortCoordinate;
  */
 typedef enum
 {
-	SORT_TYPE_STILL_IN_PROGRESS = 0,
-	SORT_TYPE_TOP_N_HEAPSORT = 2,
-	SORT_TYPE_QUICKSORT = 4,
-	SORT_TYPE_EXTERNAL_SORT = 8,
-	SORT_TYPE_EXTERNAL_MERGE = 16
+	SORT_TYPE_STILL_IN_PROGRESS = 1 << 0,
+	SORT_TYPE_TOP_N_HEAPSORT = 1 << 1,
+	SORT_TYPE_QUICKSORT = 1 << 2,
+	SORT_TYPE_EXTERNAL_SORT = 1 << 3,
+	SORT_TYPE_EXTERNAL_MERGE = 1 << 4
 } TuplesortMethod;
 
 typedef enum
-- 
2.17.1

